## jellyfish 1.1.2

=== debian/changelog ===
jellyfish (1.1.2-1) unstable; urgency=low

  * Initial release. Closes: #644925.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Oct 2011 11:49:11 -0700
