=== debian/control ===
Source: jellyfish
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Shaun Jackman <sjackman@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://www.cbcb.umd.edu/software/jellyfish/
Vcs-Git: git://git.debian.org/git/debian-med/jellyfish.git
Vcs-Browser: http://git.debian.org/?p=debian-med/jellyfish.git


Package: jellyfish
Architecture: any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: count k-mers in DNA sequences
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 If you use JELLYFISH in your research, please cite:
 Guillaume Marcais and Carl Kingsford, A fast, lock-free approach for
 efficient parallel counting of occurrences of k-mers. Bioinformatics
 (2011) 27(6): 764-770 (first published online January 7, 2011)
 doi:10.1093/bioinformatics/btr011
