## jellyfish 1.1.5

=== debian/changelog ===
jellyfish (1.1.5-1) unstable; urgency=low

  * New upstream version fixing the FTBFS with gcc-4.7 bug
    Closes: #667214
  * debian/patches/fix-unused-but-set-variable.patch: Removed
    because applied upstream

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2012 21:56:38 +0200

jellyfish (1.1.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/ptrdiff_t: Removed because applied upstream
  * debian/patches/cmdline: Removed because upstream code was changed
    in a way that it becomes superfluous
  * debian/patches/fix-unused-but-set-variable.patch: Due to the use
    of hardening flags warnings about unused-but-set-variable becomes
    an error - start working on a patch
  * debian/source/local-options: Add dpkg-source local-options hints
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Move citation from long desciption to debian/upstream
     - debhelper (>= 9)
  * debian/upstream: Use the agreed way to specify citations
  * debian/copyright: DEP5 verified using
      cme fix dpkg-copyright
  * debian/compat: 9

 -- Andreas Tille <tille@debian.org>  Sat, 31 Mar 2012 08:50:25 +0200
