=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Shaun Jackman <sjackman@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Uploaders: Shaun Jackman <sjackman@debian.org>,
+ Andreas Tille <tille@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 Vcs-Git: git://git.debian.org/git/debian-med/jellyfish.git
 Vcs-Browser: http://git.debian.org/?p=debian-med/jellyfish.git
@@ -28,9 +29,3 @@
  files containing DNA sequences. It outputs its k-mer counts in an
  binary format, which can be translated into a human-readable text
  format using the "jellyfish dump" command.
- .
- If you use JELLYFISH in your research, please cite:
- Guillaume Marcais and Carl Kingsford, A fast, lock-free approach for
- efficient parallel counting of occurrences of k-mers. Bioinformatics
- (2011) 27(6): 764-770 (first published online January 7, 2011)
- doi:10.1093/bioinformatics/btr011
