## jellyfish 1.1.10

=== debian/changelog ===
jellyfish (1.1.10-1) unstable; urgency=low

  * New upstream version
    Closes: #701423
  * debian/{rules,install}: Make sure dynamic library will be installed
  * debian/control:
     - Removed DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)
     - Build-Depends autotools-dev
     - canonical VCS URLs
  * debian/lintian-overrides: Upstream decided to use a dynamic library
    without really intending to make this a development package
  * debian/doc-base: docbase control file
  * debian/patches/man: refreshed + DEP3 description

 -- Andreas Tille <tille@debian.org>  Wed, 05 Jun 2013 11:58:53 +0200
