=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Shaun Jackman <sjackman@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
-Vcs-Git: git://git.debian.org/git/debian-med/jellyfish.git
-Vcs-Browser: http://git.debian.org/?p=debian-med/jellyfish.git
+Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
 
 
 Package: jellyfish
