=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+
+override_dh_install:
+	dh_install -X*.a -X*.la -Xpkgconfig
