=== debian/watch ===
version=3
http://www.cbcb.umd.edu/software/jellyfish/ jellyfish-(.+)\.tar\.gz
