## jellyfish 1.1.11

=== debian/changelog ===
jellyfish (1.1.11-1) unstable; urgency=medium

  * New upstream version
  * Move debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 21 Mar 2014 11:31:00 +0100
