=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: jellyfish
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Shaun Jackman <sjackman@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shaun Jackman <sjackman@debian.org>,
- Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
+Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
-Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
-
 
 Package: jellyfish
 Architecture: any-amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: count k-mers in DNA sequences
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
  DNA. A k-mer is a substring of length k, and counting the occurrences
