## jellyfish 2.1.4

=== debian/changelog ===
jellyfish (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to new location on Github
  * cme fix dpkg-control
  * new upstream version needs autoreconf
  * New Build-Depends: yaggo, pkg-config, bc, time, procps
  * debian/rules: Make sure package builds twice in a row
  * d/copyright:
     - Adapted to file locations in new upstream version
     - Additional copyright paragraph for included libjsoncpp
     - Additional copyright paragraph for unit tests
  * checking whether it is possible to use Debian packaged libjsoncpp
    failed - add lintian override to use internal one
  * Split libjellyfish and libjellyfish-dev packages up from single
    package, add jellyfish-examples package containing test suite
  * Add autopkgtest
  * Fix FTBFS with clang (thanks for the patch to Martin Steghöfer)
    Closes: #749136

 -- Andreas Tille <tille@debian.org>  Thu, 09 Oct 2014 13:15:34 +0200
