=== debian/control ===
--- 
+++ 
@@ -5,16 +5,23 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               autotools-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
+               dh-autoreconf,
+               d-shlibs,
+               yaggo,
+               pkg-config,
+               bc,
+               time,
+               procps
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
 Architecture: any-amd64
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libjellyfish-2.0-2 (= ${binary:Version})
 Description: count k-mers in DNA sequences
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
  DNA. A k-mer is a substring of length k, and counting the occurrences
@@ -29,3 +36,73 @@
  files containing DNA sequences. It outputs its k-mer counts in an
  binary format, which can be translated into a human-readable text
  format using the "jellyfish dump" command.
+
+Package: libjellyfish-2.0-2
+Architecture: any-amd64
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: count k-mers in DNA sequences (dynamic library of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the dynamic library the main executable of
+ jellyfish is linked to.
+
+Package: libjellyfish-2.0-dev
+Architecture: any-amd64
+Section: libdevel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libjellyfish-2.0-2 (= ${binary:Version})
+Description: count k-mers in DNA sequences (development files of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the development files (static library and
+ header files)
+
+Package: jellyfish-examples
+Architecture: any-amd64
+Depends: jellyfish,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: count k-mers in DNA sequences (examples for testing)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains examples to test the package
+
