## jellyfish 2.2.3

=== debian/changelog ===
jellyfish (2.2.3-2) unstable; urgency=medium

  [ Charles Plessy ]
  * Patch with Upstream commit a3c491a for GCC5; closes: #795847.

  [ Andreas Tille ]
  * Do not mention removed file from d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 20 Aug 2015 09:07:18 +0200

jellyfish (2.2.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Replace unneeded dependency by @builddeps@ in debian/tests/control
  * New version needs valgrind as Build-Depends to pass all tests
  * New version closes: #777922

  [ Charles Plessy ]
  * New upstream release.
  * Removed yaggo and clang patches, obsoleted upstream.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jul 2015 20:06:28 +0200
