## jellyfish 2.2.4

=== debian/changelog ===
jellyfish (2.2.4-2) unstable; urgency=medium

  * enable build with c++11 and -Werror=deprecated-declarations compile
    flag (thanks for the hint to Gert Wollny)
    Closes: #808537

 -- Andreas Tille <tille@debian.org>  Fri, 25 Dec 2015 12:17:44 +0100

jellyfish (2.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2015 21:57:20 +0100

jellyfish (2.2.3-3) unstable; urgency=medium

  * team upload
  * include missing header

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 20 Sep 2015 08:46:24 +0200
