=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                pkg-config,
                bc,
                time,
-               procps
+               procps,
+               valgrind
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
