=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 		    --multiarch \
 		    --devunversioned \
 		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.hpp" usr/include/$(DEBPKGNAME) \
-		        debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so
+		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.h" usr/include/$(DEBPKGNAME) \
+			debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so
 
 override_dh_clean:
 	dh_clean
@@ -27,7 +28,7 @@
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
 	cp -a tests/* debian/tmp_save_tests
-	dh_auto_build
+	dh_auto_build -- all bin/generate_sequence bin/test_all
 
 # jellyfish contains a *really* big test which should *not* run on autobuilders
 # if you have a *really* large machine you can try to activate this test by
