## jellyfish 2.2.5

=== debian/changelog ===
jellyfish (2.2.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Enable Python and Perl bindings

  [ Scott Kitterman ]
  * Rename python-jellyfish to python3-jellyfish
  * Change python-dev build-dep to python3-all-dev (since this is a python3
    extension)
  * Add dh-python to build-depends
  * Add building with python3
  * Add call to setup.py in dh_autobuild override

  [ Michael R. Crusoe ]
  * New upstream version, fixes dataloss bug
  * Upgrade Standards-Version to 3.9.7
  * Mark python3- package as arch specifc, not indep; include shared library
    dependencies
  * Likewise with the -perl package; also build & install them
  * debian/patches/drop-rpath: don't compile in a relative path as per policy
  * debian/patches/modern-g++: use recent g++, not the unavailable version 4.4
  * debian/patches/pkg-config-with-name: fix error in upstream: pkg-config was
    called without the package name
  * debian/rules: enable parallel builds & improve clean target
  * debian/control: add myself as an uploader

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 12 Mar 2016 08:09:07 -0800
