=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jellyfish
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Michael R. Crusoe <crusoe@ucdavis.edu>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -12,10 +13,15 @@
                bc,
                time,
                procps,
-               valgrind
-Standards-Version: 3.9.6
+               valgrind,
+               swig,
+               python3-all-dev,
+               dh-python,
+               perl,
+               chrpath
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
-Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
@@ -64,8 +70,7 @@
 Package: libjellyfish-2.0-dev
 Architecture: any-amd64
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
 Description: count k-mers in DNA sequences (development files of jellyfish)
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
@@ -84,6 +89,52 @@
  .
  This package contains the development files (static library and
  header files)
+
+Package: python3-jellyfish
+Architecture: any-amd64
+Section: python
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: count k-mers in DNA sequences (Python bindings of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the Python bindings of jellyfish.
+
+Package: libjellyfish-perl
+Architecture: any-amd64
+Section: perl
+Depends: ${perl:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: count k-mers in DNA sequences (Perl bindings of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the Perl bindings of jellyfish.
 
 Package: jellyfish-examples
 Architecture: any-amd64
@@ -106,4 +157,3 @@
  format using the "jellyfish dump" command.
  .
  This package contains examples to test the package
-
