=== debian/changelog ===
jellyfish (2.2.6-1) unstable; urgency=medium

  * New upstream version
  * Rename python module from python3-jellyfish to python3-dna-jellyfish
    (thanks for the patches to "Diego M. Rodriguez" <diego.plan9@gmail.com>)
    Closes: #819016
  * cme fix dpkg-control
  * hardening=+all,-pie

 -- Andreas Tille <tille@debian.org>  Tue, 30 Aug 2016 14:16:52 +0200
