=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                dh-python,
                perl,
                chrpath
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
@@ -90,7 +90,7 @@
  This package contains the development files (static library and
  header files)
 
-Package: python3-jellyfish
+Package: python3-dna-jellyfish
 Architecture: any-amd64
 Section: python
 Depends: ${python3:Depends},
