=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,14 @@
 DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 build3vers := $(shell py3versions -sv)
 
-#export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-#DPKG_EXPORT_BUILDFLAGS = 1
-#include /usr/share/dpkg/buildflags.mk
-#breaks the build
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 export DH_OPTIONS
 export PKG_CONFIG_LIBDIR=${CURDIR}
 export PKG_CONFIG_ALLOW_SYSTEM_LIBS=true
 export PKG_CONFIG_SYSROOT_DIR=${CURDIR}/debian/tmp/
 export PERL_MM_OPT=INSTALLDIRS=vendor
+export PYBUILD_BUILD_ARGS=build_ext --rpath "${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}"
 
 %:
 	dh $@ --with autoreconf,python3 #--parallel
@@ -22,8 +20,12 @@
 
 override_dh_install:
 	# dh_install -X*.a -X*.la -Xpkgconfig
-	dh_install -ppython3-jellyfish
-	pybuild -d swig/python --name jellyfish
+	dh_install -ppython3-dna-jellyfish
+	pybuild -d swig/python --name dna-jellyfish
+#	pybuild -d swig/python --name dna-jellyfish --disable test/python3
+#	pybuild -d swig/python --name dna-jellyfish --test --test-args "${CURDIR}/swig/python/ test_string_mers.py"
+#	pybuild -d swig/python --name dna-jellyfish --test --test-args "${CURDIR}/swig/python/ test_hash_counter.py"
+	chrpath --delete debian/*/usr/lib/python*/dist-packages/_dna_jellyfish*.so
 	
 	dh_auto_configure --sourcedirectory=swig/perl5
 	dh_auto_build --sourcedirectory=swig/perl5
@@ -55,7 +57,7 @@
 	    rmdir debian/tmp_save_tests ; \
 	fi
 	rm -f tests/compat.sh
-	rm -f swig/python/jellyfish*
+	rm -f swig/python/jellyfish* swig/python/dna_jellyfish.py
 
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
