## jellyfish 2.2.8

=== debian/changelog ===
jellyfish (2.2.8-3build1) bionic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Apr 2018 20:21:55 +0200

jellyfish (2.2.8-3) unstable; urgency=medium

  * Build and install fastq2sam, which fixes Debci tests
  * Incorporates suggestions from the Multiarch hinter.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Mar 2018 10:57:09 -0700

jellyfish (2.2.8-2) unstable; urgency=medium

  * Add the missing small_mers.sh file, courtesy upstream.
  * Fix arm/powerpc build, patch courtesy upstream (Closes: #890137)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 12 Mar 2018 05:31:00 -0700

jellyfish (2.2.8-1) unstable; urgency=medium

  * New upstream version
  * Dropped rename-python-module-to-dna_jellyfish.patch as upstream has
    incorporated it.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 09:21:51 -0800

jellyfish (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2018 22:22:17 +0100

jellyfish (2.2.6-6) unstable; urgency=medium

  * Really apply portability patch
    Closes: #871697

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 12:42:21 +0200

jellyfish (2.2.6-5) unstable; urgency=medium

  * Make jellyfish portable (Thanks for the patch to Edmund Grimley Evans
    <edmund.grimley.evans@gmail.com>)
    Closes: #871697

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 00:09:35 +0200

jellyfish (2.2.6-4) unstable; urgency=medium

  * Make sure reproducible patch will not break test suite (Thanks to
    Chris Lamb <lamby@debian.org> for the fix)
    Closes: #863015
  * Autoreconf not needed with debhelper 10
  * Do not parse debian/changelog
  * Fix whatis entry in manpage
  * Fix spelling in manpage

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2017 14:40:40 +0200

jellyfish (2.2.6-3) unstable; urgency=medium

  * Explicitly disable parallel building
    Closes: #873318

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 21:53:10 +0200

jellyfish (2.2.6-2) unstable; urgency=medium

  * Ignore result of "big" test to let autopkgtest pass
  * debhelper 10
  * Parallel builds seem to cause problems - use --no-parallel
  * d/watch: version=4
  * Do not fail on compiler warnings to enable building with gcc-7.
    (Thanks for the patch to Adrian Bunk <bunk@debian.org>)
    Closes: #872262
  * Enable full hardening
    Closes: #865608
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2017 14:46:44 +0200
