=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <crusoe@ucdavis.edu>
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                d-shlibs,
                yaggo,
                pkg-config,
@@ -19,13 +18,13 @@
                dh-python,
                perl,
                chrpath
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
-Architecture: any-amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -45,7 +44,8 @@
  format using the "jellyfish dump" command.
 
 Package: libjellyfish-2.0-2
-Architecture: any-amd64
+Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -68,7 +68,8 @@
  jellyfish is linked to.
 
 Package: libjellyfish-2.0-dev
-Architecture: any-amd64
+Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -91,7 +92,7 @@
  header files)
 
 Package: python3-dna-jellyfish
-Architecture: any-amd64
+Architecture: any
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
@@ -114,7 +115,8 @@
  This package contains the Python bindings of jellyfish.
 
 Package: libjellyfish-perl
-Architecture: any-amd64
+Architecture: any
+Multi-Arch: same
 Section: perl
 Depends: ${perl:Depends},
          ${misc:Depends},
@@ -137,7 +139,7 @@
  This package contains the Perl bindings of jellyfish.
 
 Package: jellyfish-examples
-Architecture: any-amd64
+Architecture: any
 Depends: jellyfish,
          ${shlibs:Depends},
          ${misc:Depends}
