=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
-DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+include /usr/share/dpkg/default.mk
+
 build3vers := $(shell py3versions -sv)
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export DH_OPTIONS
 export PKG_CONFIG_LIBDIR=${CURDIR}
@@ -13,7 +14,7 @@
 export PYBUILD_BUILD_ARGS=build_ext --rpath "${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}"
 
 %:
-	dh $@ --with autoreconf,python3 #--parallel
+	dh $@ --with python3
 
 override_dh_auto_install:
 	dh_auto_install -- install-data
@@ -35,9 +36,9 @@
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
-		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.hpp" usr/include/$(DEBPKGNAME) \
-		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.h" usr/include/$(DEBPKGNAME) \
-			debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so
+		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.hpp" usr/include/$(DEB_SOURCE) \
+		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.h" usr/include/$(DEB_SOURCE) \
+			debian/tmp/usr/lib/*/lib$(DEB_SOURCE)-*.so
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-swig --enable-perl-binding
@@ -62,7 +63,7 @@
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
 	cp -a tests/* debian/tmp_save_tests
-	dh_auto_build -- all bin/generate_sequence bin/test_all
+	dh_auto_build --no-parallel -- all bin/generate_sequence bin/test_all bin/fastq2sam
 #	cd doc ;  RUBYLIB=$PWD PATH=$PATH:../bin make clean all ; cd ..
 #	broken
