=== debian/watch ===
version=4
https://github.com/gmarcais/Jellyfish/releases .*/jellyfish-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
