=== debian/changelog ===
jellyfish (2.2.10-2) unstable; urgency=medium

  * debian/control: removed unused valgrind dependency
  * Standards-Version: 4.3.0
  * Improve reproducibilty, drop /usr/share/doc/jellyfish-
    examples/examples/swig*
  * Remove dependency_libs field in libjellyfish-2.0.la.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 06:46:27 -0800

jellyfish (2.2.10-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Adapt watch file to also catch v$VERSION tarball names
  * Clean up quilt patches
  * Catch exceptions by reference
  * Do not replace random '-L' strings in command line
    Closes: #907819
  * Drop python3-dna-jellyfish package since the Python module had issues in
    build process and nobody seemed to be interested to help solving theses

 -- Andreas Tille <tille@debian.org>  Fri, 21 Sep 2018 08:45:53 +0200
