=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                bc,
                time,
                procps,
-               valgrind,
                swig,
                python3-all-dev,
+               python-all-dev,
                dh-python,
                perl,
                chrpath
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/jellyfish
+Vcs-Git: https://salsa.debian.org/med-team/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
@@ -91,28 +91,28 @@
  This package contains the development files (static library and
  header files)
 
-Package: python3-dna-jellyfish
-Architecture: any
-Section: python
-Depends: ${python3:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: count k-mers in DNA sequences (Python bindings of jellyfish)
- JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
- DNA. A k-mer is a substring of length k, and counting the occurrences
- of all such substrings is a central step in many analyses of DNA
- sequence. JELLYFISH can count k-mers using an order of magnitude less
- memory and an order of magnitude faster than other k-mer counting
- packages by using an efficient encoding of a hash table and by
- exploiting the "compare-and-swap" CPU instruction to increase
- parallelism.
- .
- JELLYFISH is a command-line program that reads FASTA and multi-FASTA
- files containing DNA sequences. It outputs its k-mer counts in an
- binary format, which can be translated into a human-readable text
- format using the "jellyfish dump" command.
- .
- This package contains the Python bindings of jellyfish.
+#Package: python3-dna-jellyfish
+#Architecture: any
+#Section: python
+#Depends: ${python3:Depends},
+#         ${misc:Depends},
+#         ${shlibs:Depends}
+#Description: count k-mers in DNA sequences (Python bindings of jellyfish)
+# JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+# DNA. A k-mer is a substring of length k, and counting the occurrences
+# of all such substrings is a central step in many analyses of DNA
+# sequence. JELLYFISH can count k-mers using an order of magnitude less
+# memory and an order of magnitude faster than other k-mer counting
+# packages by using an efficient encoding of a hash table and by
+# exploiting the "compare-and-swap" CPU instruction to increase
+# parallelism.
+# .
+# JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+# files containing DNA sequences. It outputs its k-mer counts in an
+# binary format, which can be translated into a human-readable text
+# format using the "jellyfish dump" command.
+# .
+# This package contains the Python bindings of jellyfish.
 
 Package: libjellyfish-perl
 Architecture: any
